@charset "UTF-8";
/*
    Paleta de cores
    verde: #49a09d  
    Lilás: #5f2c82
*/  
*{
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif ;
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}
body, html{
    background-color: #5f2c82 ;
    height: 100vh;
    width: 100vw;
}
main{
    position: relative;
    height: 100vh;
    width: 100vw;
}
section#login{
    position: absolute;
    top: 50%;
    left: 50%;  
    background-color: white;
    width: 260px;
    height: 500px;
    border-radius: 20px ;
    overflow: hidden;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.473);

    transform: translate(-50%,-50%);
    transition: width .3s, height .3s;
    transition-timing-function: ease;
}
section#login > div#imagem{
    display: block;
    background: #5f2c82 url(../imagens/pattern.jpg) no-repeat ;
    background-size: 200%;
    height: 200px;    
    background-position: bottom left;
    
}
section#login > div#formulario{
    display: block;
    padding: 10px;
}

div#formulario > h1{
    text-align: center;
    margin-bottom: 10px;
}
div#formulario > p{
    font-size: 0.8em;
}
form > div.campo{
    background-color: #5f2c82 ;
    border: 2px solid #5f2c82;
    width: 100%;
    display: block;
    height: 40px;
    border-radius: 8px;
    margin: 5px 0px;
}

div.campo > label {
    display: none;
}

div.campo > span{
    color: white;
    /*background-color: black;*/
    font-size: 2em;
    width: 40px;
    padding: 5px;
}
div.campo > input{
    background-color: #5fd1cd;
    font-size: 1em;
    height: 100%;
    width: calc(100% - 44.36px);    
    border: 0px;
    border-radius: 8px;
    padding: 4px;
    transform: translateY(-12px);
}
div.campo > input:focus-within{
    background-color: white;
}
form > input[type=submit]{
    display: block;
    font-size: 1em ;
    width: 100%;
    height: 40px;
    background-color: #49a09d;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}
form > input[type=submit]:hover{
    background-color: #1f4443;
}
form > a.botao{
    display: block;
    text-align: center;
    font-size: 1em;
    width: 100%;
    height: 40px;
    background-color: white;
    border: 1px solid #49a09d ;
    border-radius: 7px;
    text-decoration: none;
    color: #1f4443;
    padding-top: 5px;
    margin-top: 5px;
}
form > a.botao:hover{
    background-color: #5fd1cd;
}

form > a.botao > span{
    font-size: 0.8em;
} 